if __name__ == "__main__":
    # Initialize empty list to store sums
    sums = []

    # Open input file
    with open('input', 'r') as f:
        # Initialize sum for current group of numbers
        current_sum = 0

        # Read lines from file
        for line in f:
            # If line is empty, append current sum to list and reset sum
            if line.strip() == '':
                sums.append(current_sum)
                current_sum = 0
            else:
                # Add number from line to current sum
                current_sum += int(line.strip())

        # Add last sum to list
        sums.append(current_sum)

    # Sort sums in descending order
    sums.sort(reverse=True)

    # Print index and value of largest group of numbers
    print(f'Index: 0\nValue: {sums[0]}')

    # Calculate sum of top 3 groups of numbers
    top3_sum = sums[0] + sums[1] + sums[2]
    print(f'Top 3: {top3_sum}')

